Retrieve all Subnets

View as Markdown

Retrieve all Subnets for the org

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptionalformat: "uuid"
Filter subnets by Site, required if the vpcId query parameter is not specified
vpcIdstringOptionalformat: "uuid"
Filter subnets by VPC
statusstringOptional
Filter Subnets by Status
querystringOptional
Search for matches across all Subnets. Input will be matched against name, description, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
includeUsageStatsbooleanOptional
When true, each Subnet object includes usage statistics using the same structure as IP Block usage. Prefix and IP usage data is derived by evaluating associated Ethernet interfaces. Each Interface associated with a Subnet consumes a single IP. In addition, one gateway and one broadcast IP address are reserved per Subnet.
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the Subnet
namestringOptional2-256 characters
Name of the Subnet
descriptionstring or nullOptional
Description of the Subnet
siteIdstringOptionalformat: "uuid"
ID of the Site containing the Subnet
vpcIdstringOptionalformat: "uuid"
ID of the VPC containing the Subnet
controllerNetworkSegmentIdstring or nullOptionalformat: "uuid"
ID of the Site Controller network segment corresponding to the Subnet
ipv4Prefixstring or nullOptionalformat: "ipv4"
The prefix that gets assigned to the subnet if ipv4 block is chosen
ipv4BlockIdstring or nullOptionalformat: "uuid"
ID of the derived Tenant IPv4 Block from an Allocation
ipv4Gatewaystring or nullOptionalformat: "ipv4"
Address of the IPv4 gateway in the Subnet
ipv6Prefixstring or nullOptionalformat: "ipv6"
Prefix of the network in CIDR notation
ipv6BlockIdstring or nullOptionalformat: "uuid"
ID of the derived Tenant IPv6 Block from an Allocation
ipv6Gatewaystring or nullOptionalformat: "ipv6"
Address of the IPv6 gateway in the Subnet
mtuintegerOptionalRead-only

Maximum Transmission Unit size in bytes. This property is system-determined and read-only.

prefixLengthintegerOptional
Max value depends on prefix length of parent IP Block
routingTypeenumOptional
Routing type of the Subnet
statusenumOptional
Status of the Subnet
usageStatsobjectOptional

Present when query parameter includeUsageStats=true. Prefix and IP usage data is derived by evaluating associated Ethernet interfaces. Each Interface associated with a Subnet consumes a single IP. In addition, one gateway and one broadcast IP address are reserved per Subnet.

statusHistorylist of objectsOptionalRead-only
Chronological status history for the Subnet
createddatetimeOptionalRead-only

Date/time when the Subnet was created

updateddatetimeOptionalRead-only

Date/time when the Subnet was last updated

Errors

403
Forbidden Error